rpmdb.c File Reference
`#include "system.h"`
`#include <popt.h>`
`#include <rpm/rpmcli.h>`
`#include "cliutils.h"`
`#include "debug.h"`
Include dependency graph for rpmdb.c:

Go to the source code of this file.

## Enumerations

enum

modes {
MODE_BUILD = (1 << 4), MODE_REBUILD = (1 << 5), MODE_RECOMPILE = (1 << 8), MODE_TARBUILD = (1 << 11),
MODE_INITDB = (1 << 0), MODE_REBUILDDB = (1 << 1), MODE_VERIFYDB = (1 << 2), MODE_CHECKSIG = (1 << 0),
MODE_IMPORTKEY = (1 << 1), MODE_DELKEY = (1 << 2), MODE_LISTKEY = (1 << 3), MODE_QUERY = (1 << 0),
MODE_VERIFY = (1 << 3), MODE_INSTALL = (1 << 1), MODE_ERASE = (1 << 2), MODE_UNKNOWN = 0,
MODE_ADDSIGN = (1 << 0), MODE_RESIGN = (1 << 1), MODE_DELSIGN = (1 << 2), MODE_UNKNOWN = 0,
MODE_QUERY = (1 << 0), MODE_PARSE = (1 << 1)
}

## Functions

int | main (int argc, char *argv[])

## Variables

char ** | environ = NULL
static int | mode = 0
static struct poptOption | dbOptsTable []
static struct poptOption | optionsTable []

## Enumeration Type Documentation

enum modes

Enumerator
MODE_BUILD |
MODE_REBUILD |
MODE_RECOMPILE |
MODE_TARBUILD |
MODE_INITDB |
MODE_REBUILDDB |
MODE_VERIFYDB |
MODE_CHECKSIG |
MODE_IMPORTKEY |
MODE_DELKEY |
MODE_LISTKEY |
MODE_QUERY |
MODE_VERIFY |
MODE_INSTALL |
MODE_ERASE |
MODE_UNKNOWN |
MODE_ADDSIGN |
MODE_RESIGN |
MODE_DELSIGN |
MODE_UNKNOWN |
MODE_QUERY |
MODE_PARSE |

Definition at line 12 of file rpmdb.c.

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 42 of file rpmdb.c.

References _, argerror(), MODE_INITDB, MODE_REBUILDDB, MODE_VERIFYDB, printUsage(), rpmcliFini(), rpmcliInit(), rpmcliRootDir, rpmExpandNumeric(), rpmtsCreate(), rpmtsFree(), rpmtsInitDB(), rpmtsRebuildDB(), rpmtsSetRootDir(), rpmtsSetVSFlags(), and rpmtsVerifyDB().

## Variable Documentation

struct poptOption dbOptsTable[]

static

Initial value:
= {
{ "initdb", '\0', (POPT_ARG_VAL|POPT_ARGFLAG_OR), &mode, MODE_INITDB,
"initialize database" , NULL},
{ "rebuilddb", '\0', (POPT_ARG_VAL|POPT_ARGFLAG_OR), &mode, MODE_REBUILDDB,
"rebuild database inverted lists from installed package headers" ,
NULL},
{ "verifydb", '\0', (POPT_ARG_VAL|POPT_ARGFLAG_OR|POPT_ARGFLAG_DOC_HIDDEN),
&mode, MODE_VERIFYDB, "verify database files" , NULL},
POPT_TABLEEND
}

Definition at line 20 of file rpmdb.c.

char** environ = NULL

Definition at line 9 of file rpmdb.c.

Referenced by checkPassPhrase().

int mode = 0

static

Definition at line 18 of file rpmdb.c.

struct poptOption optionsTable[]

static

Initial value:
= {
{ NULL, '\0', POPT_ARG_INCLUDE_TABLE, dbOptsTable, 0,
"Database options:" , NULL },
{ NULL, '\0', POPT_ARG_INCLUDE_TABLE, rpmcliAllPoptTable, 0,
"Common options for all rpm modes and executables:" , NULL },
POPT_AUTOALIAS
POPT_AUTOHELP
POPT_TABLEEND
}

Definition at line 31 of file rpmdb.c.